import { AsyncDecoder, Decoder, DecoderReturnType } from 'ts-decoders';
import { SimpleDecoderOptions } from './util';
export interface AnyOfDecoderOptions extends SimpleDecoderOptions {
  decodeInParallel?: boolean;
}
export declare function anyOfD<T extends Decoder<any>>(
  decoders: T[],
  options?: AnyOfDecoderOptions,
): Decoder<DecoderReturnType<T>>;
export declare function anyOfD<T extends Decoder<any> | AsyncDecoder<any>>(
  decoders: T[],
  options?: AnyOfDecoderOptions,
): AsyncDecoder<DecoderReturnType<T>>;
// # sourceMappingURL=anyOf.d.ts.map
