import { AsyncDecoder, Decoder } from 'ts-decoders';
import { SimpleDecoderOptions } from './util';
export interface PredicateDecoderOptions extends SimpleDecoderOptions {
  promise?: boolean;
}
export declare function predicateD<T>(
  fn: (value: T) => boolean | Promise<boolean>,
  options: PredicateDecoderOptions & {
    promise: true;
  },
): AsyncDecoder<T, T>;
export declare function predicateD<T>(
  fn: (value: T) => boolean,
  options?: PredicateDecoderOptions,
): Decoder<T, T>;
// # sourceMappingURL=predicate.d.ts.map
