import { AsyncDecoder, Decoder } from 'ts-decoders';
import { ComposeDecoderOptions } from './util';
export declare type TupleDecoderOptions = ComposeDecoderOptions;
export declare function tupleD<R extends [any, ...any[]]>(
  decoders: {
    [P in keyof R]: Decoder<R[P]>;
  },
  options?: TupleDecoderOptions,
): Decoder<R>;
export declare function tupleD<R extends [any, ...any[]]>(
  decoders: {
    [P in keyof R]: Decoder<R[P]> | AsyncDecoder<R[P]>;
  },
  options?: TupleDecoderOptions,
): AsyncDecoder<R>;
// # sourceMappingURL=tuple.d.ts.map
