import { AsyncDecoder, Decoder } from 'ts-decoders';
export interface LazyDecoderOptions {
  decoderName?: string;
  promise?: boolean;
}
export declare function lazyD<R, I = any>(
  decoderFn: (value: I) => Decoder<R, I>,
  options?: LazyDecoderOptions & {
    promise?: false;
  },
): Decoder<R, I>;
export declare function lazyD<R, I = any>(
  decoderFn: (
    value: I,
  ) =>
    | Decoder<R, I>
    | AsyncDecoder<R, I>
    | Promise<Decoder<R, I> | AsyncDecoder<R, I>>,
  options: LazyDecoderOptions & {
    promise: true;
  },
): AsyncDecoder<R, I>;
// # sourceMappingURL=lazy.d.ts.map
