import { AsyncDecoder, Decoder } from 'ts-decoders';
import { ComposeDecoderOptions } from './util';
export interface ObjectDecoderOptions extends ComposeDecoderOptions {
  noExcessProperties?: boolean;
}
export declare function objectD<T>(
  decoderObject: {
    [P in keyof T]: Decoder<T[P]>;
  },
  options?: ObjectDecoderOptions,
): Decoder<T>;
export declare function objectD<T>(
  decoderObject: {
    [P in keyof T]: Decoder<T[P]> | AsyncDecoder<T[P]>;
  },
  options?: ObjectDecoderOptions,
): AsyncDecoder<T>;
// # sourceMappingURL=object.d.ts.map
